# std::ranges::zip_view<Views...>::iterator<Const>::operator*

From cppreference.com
< cpp‎ | ranges‎ | zip view‎ | iterator

constexpr auto operator*() const; |  | (since C++23)

Returns a std::tuple that consists of underlying pointed-to elements.

Let `current_` denote the underlying tuple-like object that holds iterators to elements of adapted views. Equivalent to:

    return /*tuple-transform*/([](auto& i) -> decltype(auto) { return *i; }, current_);

### Parameters

(none)

### Return value

The current tuple-like element.

### Notes

operator-> is not provided.

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/zip_view/iterator/operator*&oldid=172833"